## ocaml-mm 0.1.0

=== external/Makefile ===
#LIBS = $(shell find . -maxdepth 1 -type d | sed "s/^\.\///" | grep -v "\.")
ifeq "yes" "yes"
    LIBS += alsa
endif
ifeq "yes" "yes"
    LIBS += ao
endif
ifeq "no" "yes"
    LIBS += ffmpeg
endif
ifeq "no" "yes"
    LIBS += gstreamer
endif
ifeq "yes" "yes"
    LIBS += mad
endif
ifeq "yes" "yes"
    LIBS += oss
endif
ifeq "yes" "yes"
    LIBS += sdl
endif
ifeq "yes" "yes"
#    LIBS += theora
endif
ifeq "no" "yes"
#    LIBS += v4l
endif

all clean doc:
	for d in $(LIBS); do $(MAKE) -C $$d $@; done

.PHONY: all

=== external/sdl/Makefile ===
SOURCES = sdl_stubs.c MMSDL.mli MMSDL.ml
RESULT = mm.sdl
INCDIRS = ../../src
OCAMLFLAGS = -g
OCAMLNCFLAGS = -g
CFLAGS = -g -Wall -O3

all: ncl

include OCamlMakefile
include ../Makefile.defs

=== debian/changelog ===
ocaml-mm (0.1.0-1) unstable; urgency=low

  * Upload to unstable the final 0.1.0 upstream release. 

 -- Romain Beauxis <toots@rastageeks.org>  Thu, 30 Jun 2011 14:54:48 -0500

ocaml-mm (0.1.0~20110532+hgc70543a111b9-1) experimental; urgency=low

  * New snapshot fixing META file. 

 -- Romain Beauxis <toots@rastageeks.org>  Tue, 24 May 2011 14:07:40 -0500

ocaml-mm (0.1.0~20110532+hgb02e02b1cf7c-1) experimental; urgency=low

  * Initial upload to experimental (Closes: #627723)

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 23 May 2011 17:22:12 -0500

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

# In order to regenerate 'debian/control' :
#   DEB_AUTO_UPDATE_DEBIAN_CONTROL=yes fakeroot debian/rules clean
# Then check manually if everything's ok

DEB_CONFIGURE_EXTRA_FLAGS := --enable-debugging
DEB_CONFIGURE_SCRIPT  := ./configure
DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

build/libmm-ocaml-dev::
	mkdir -p $(DESTDIR)
	make doc

clean::
	rm -rf .pc config.h Makefile src/Makefile src/META doc config.log config.status \
		external/Makefile.defs

## ocaml-mm 0.2.0

=== external/Makefile ===
--- 
+++ 
@@ -5,7 +5,7 @@
 ifeq "yes" "yes"
     LIBS += ao
 endif
-ifeq "no" "yes"
+ifeq "yes" "yes"
     LIBS += ffmpeg
 endif
 ifeq "no" "yes"

=== external/alsa/Makefile ===
SOURCES = MMAlsa.mli MMAlsa.ml
RESULT = mm.alsa
INCDIRS = ../../src
OCAMLCFLAGS = -g

all: ncl

include OCamlMakefile
include ../Makefile.defs

=== external/ao/Makefile ===
SOURCES = MMAO.mli MMAO.ml
RESULT = mm.ao
INCDIRS = ../../src
OCAMLCFLAGS = -g

all: ncl

include OCamlMakefile
include ../Makefile.defs

=== external/ffmpeg/Makefile ===
SOURCES = ffmpeg_stubs.c MMFFmpeg.mli MMFFmpeg.ml
RESULT = mm.ffmpeg
INCDIRS = ../../src
OCAMLFLAGS = -g
OCAMLLDFLAGS = -g
OCAMLNCFLAGS = -p
CFLAGS = -g
CLIBS = avutil avformat avcodec swscale

all: ncl

include OCamlMakefile
include ../Makefile.defs

=== external/mad/Makefile ===
SOURCES = MMMad.mli MMMad.ml
RESULT = mm.mad
INCDIRS = ../../src
OCAMLFLAGS = -g
OCAMLNDFLAGS = -g

all: ncl

include OCamlMakefile
include ../Makefile.defs

=== external/oss/Makefile ===
SOURCES = oss_stubs.c MMOSS.mli MMOSS.ml
RESULT = mm.oss
INCDIRS = ../../src
OCAMLFLAGS = -g
OCAMLLDFLAGS = -g
OCAMLNCFLAGS = -p
CFLAGS = -g

all: ncl

include OCamlMakefile
include ../Makefile.defs

=== external/theora/Makefile ===
SOURCES = MMTheora.mli MMTheora.ml
RESULT = mm.theora
INCDIRS = ../../src
OCAMLCFLAGS = -g

all: ncl

include OCamlMakefile
include ../Makefile.defs

=== external/v4l/Makefile ===
SOURCES = v4l_stubs.c MMV4L.mli MMV4L.ml
RESULT = mm.v4l
INCDIRS = ../../src
OCAMLFLAGS = -g
OCAMLLDFLAGS = -g
OCAMLNCFLAGS = -p
CFLAGS = -g
CLIBS = v4l2

all: ncl

include OCamlMakefile
include ../Makefile.defs

=== debian/changelog ===
ocaml-mm (0.2.0-1) unstable; urgency=low

  * New upstream release. 

 -- Romain Beauxis <toots@rastageeks.org>  Sat, 08 Oct 2011 15:57:41 +0200

=== debian/control ===
Source: ocaml-mm
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
Build-Depends: cdbs (>= 0.4.85~),
 debhelper (>= 7.0.1),
 dh-buildinfo,
 ocaml-nox,
 dh-ocaml (>= 0.9), 
 ocaml-findlib (>= 1.2.4)
Standards-Version: 3.9.2
Homepage: http://savonet.sourceforge.net/
Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-mm.git
Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-mm.git

Package: libmm-ocaml
Architecture: any
Depends: ${ocaml:Depends}, ${shlibs:Depends}, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml multimedia library -- runtime files
 OCaml-mm is a toolkit for audio and video processing
 in OCaml. It provides a standard interface and various
 usual manipulations on audio data, images and video data.
 .
 This package contains only the shared runtime stub libraries.

Package: libmm-ocaml-dev
Architecture: any
Depends: ${ocaml:Depends}, 
         libmm-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
Provides: ${ocaml:Provides}
Description: OCaml multimedia library -- developpement files
 OCaml-mm is a toolkit for audio and video processing
 in OCaml. It provides a standard interface and various
 usual manipulations on audio data, images and video data. 
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-mm.

## ocaml-mm 0.2.1

=== examples/Makefile ===
EXAMPLES = $(shell find . -maxdepth 1 -type d | sed "s/^\.\///" | grep -v "\.")

all clean doc:
	for d in $(EXAMPLES); do $(MAKE) -C $$d $@; done

.PHONY: all

=== external/Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 ifeq "yes" "yes"
     LIBS += ffmpeg
 endif
-ifeq "no" "yes"
+ifeq "yes" "yes"
     LIBS += gstreamer
 endif
 ifeq "yes" "yes"

=== examples/dictee/Makefile ===
SOURCES = dictee.ml
RESULT = dictee
INCDIRS = ../../src ../../external/oss ../../external/mad
LIBS = unix bigarray mad mm mm.oss mm.mad
OCAMLFLAGS = -g

test: all
	OCAMLRUNPARAM=b ./dictee ../test.mp3

all: dnc

include OCamlMakefile
include ../../external/Makefile.defs

=== examples/ffmpeg_player_gtk/Makefile ===
SOURCES = gui.glade player.ml
RESULT = player
OCAMLFLAGS = -g
INCDIRS = ../../src ../../external/ffmpeg +lablgtk2
LIBS = str bigarray graphics mm mm.ffmpeg lablglade
THREADS = yes
OCAMLBLDFLAGS = lablgtk.cma gtkInit.cmo gtkThread.cmo
OCAMLNLDFLAGS = lablgtk.cmxa gtkInit.cmx gtkThread.cmx

test: dnc
	OCAMLRUNPARAM=b ./player ../test.mov

include OCamlMakefile

=== examples/gstreamer_out/Makefile ===
SOURCES = test.ml
RESULT = test
INCDIRS = ../../src ../../external/oss ../../../ocaml-gstreamer/src/
LIBS = unix bigarray mm mm.oss gstreamer
OCAMLNCFLAGS = -p

test: all
	OCAMLRUNPARAM=b ./test

all: pnc

gstlaunch:
	gst-launch -v filesrc location=../test.wav ! decodebin ! audio/x-raw-int,channels=2,rate=44100 ! alsasink

include OCamlMakefile

=== examples/ifft_fft/Makefile ===
SOURCES = id.ml
RESULT = id
INCDIRS = ../../src
LIBS = unix bigarray mm

all: nc

test: all
	./id ../test.wav

include OCamlMakefile

=== examples/sine_wav/Makefile ===
SOURCES = sine_wav.ml
RESULT = sine_wav
INCDIRS = ../../src ../../external/oss
LIBS = unix bigarray mm mm.oss

all: nc

test: all
	./sine_wav

include OCamlMakefile

=== external/alsa/Makefile ===
SOURCES = MMAlsa.mli MMAlsa.ml
RESULT = mm.alsa
OCAMLCFLAGS = -g

all: ncl

include OCamlMakefile
include ../Makefile.defs
INCDIRS += ../../src

=== external/pulseaudio/Makefile ===
SOURCES = MMPulseaudio.mli MMPulseaudio.ml
RESULT = mm.pulseaudio
OCAMLCFLAGS = -g

all: ncl

include OCamlMakefile
include ../Makefile.defs
INCDIRS += ../../src

=== debian/changelog ===
ocaml-mm (0.2.1-2build1) trusty; urgency=medium

  * Rebuild for ocaml-4.01.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 23 Dec 2013 16:17:26 +0000

ocaml-mm (0.2.1-2) unstable; urgency=low

  * Upload to unstable. 

 -- Romain Beauxis <toots@rastageeks.org>  Wed, 08 May 2013 19:09:40 -0500

ocaml-mm (0.2.1-1) experimental; urgency=low

  * New upstream release.
  * Upload to experimental.
  * Bumped standards version to 3.9.4

 -- Romain Beauxis <toots@rastageeks.org>  Mon, 15 Apr 2013 21:57:47 -0500

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  ocaml-nox,
  dh-ocaml (>= 0.9), 
  ocaml-findlib (>= 1.2.4)
-Standards-Version: 3.9.2
+Standards-Version: 3.9.4
 Homepage: http://savonet.sourceforge.net/
 Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-mm.git
 Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-mm.git

=== debian/watch ===
version=3
http://sf.net/savonet/ocaml-mm-(.+)\.tar\.gz

## ocaml-mm 0.3.0

=== external/Makefile ===
#LIBS = $(shell find . -maxdepth 1 -type d | sed "s/^\.\///" | grep -v "\.")
ifeq "no" "yes"
    LIBS += alsa
endif
ifeq "no" "yes"
    LIBS += ao
endif
ifeq "no" "yes"
    LIBS += ffmpeg
endif
ifeq "no" "yes"
    LIBS += gstreamer
endif
ifeq "no" "yes"
    LIBS += mad
endif
ifeq "yes" "yes"
    LIBS += oss
endif
ifeq "no" "yes"
    LIBS += sdl
endif
ifeq "no" "yes"
#    LIBS += theora
endif
ifeq "no" "yes"
#    LIBS += v4l
endif

all clean doc:
	for d in $(LIBS); do $(MAKE) -C $$d $@; done

.PHONY: all

=== examples/drums/Makefile ===
SOURCES = drums.ml
RESULT = drums
INCDIRS = ../../src ../../external/oss ../../external/sdl +sdl
LIBS = unix bigarray mm mm.oss sdl mm.sdl

test: all
	./drums

all: nc

include OCamlMakefile

=== external/mad/Makefile ===
SOURCES = MMMad.mli MMMad.ml
RESULT = mm.mad
OCAMLFLAGS = -g
OCAMLNDFLAGS = -g

all: ncl

include OCamlMakefile
include ../Makefile.defs
INCDIRS += ../../src

=== external/sdl/Makefile ===
SOURCES = sdl_stubs.c MMSDL.mli MMSDL.ml
RESULT = mm.sdl
OCAMLFLAGS = -g
OCAMLNCFLAGS = -g
CFLAGS = -g -Wall -O3

all: ncl

include OCamlMakefile
include ../Makefile.defs
INCDIRS += ../../src

=== external/theora/Makefile ===
SOURCES = MMTheora.mli MMTheora.ml
RESULT = mm.theora
OCAMLCFLAGS = -g

all: ncl

include OCamlMakefile
include ../Makefile.defs
INCDIRS += ../../src

=== examples/motion/display/Makefile ===
SOURCES = display.ml
RESULT = display
INCDIRS = ../../../src
LIBS = str unix bigarray mm graphics

test: all
	OCAMLRUNPARAM=b ./display ../../test.ppm

all: pnc

include OCamlMakefile

=== debian/changelog ===
ocaml-mm (0.3.0-1build1) bionic; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 27 Oct 2017 22:02:46 +0200

ocaml-mm (0.3.0-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Update Homepage and watch to point to github
  * Update Vcs-*
  * Bump debhelper compat to 10

 -- Stéphane Glondu <glondu@debian.org>  Mon, 17 Jul 2017 23:47:51 +0200

ocaml-mm (0.2.1-3) unstable; urgency=medium

  * Team upload
  * Add ocamlbuild to Build-Depends

 -- Stéphane Glondu <glondu@debian.org>  Fri, 14 Jul 2017 17:16:10 +0200

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,16 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs (>= 0.4.85~),
- debhelper (>= 7.0.1),
+ debhelper (>= 10),
  dh-buildinfo,
  ocaml-nox,
- dh-ocaml (>= 0.9), 
+ dh-ocaml (>= 0.9),
+ ocamlbuild,
  ocaml-findlib (>= 1.2.4)
 Standards-Version: 3.9.4
-Homepage: http://savonet.sourceforge.net/
-Vcs-Git: git://git.debian.org/pkg-ocaml-maint/packages/ocaml-mm.git
-Vcs-Browser: http://git.debian.org/?p=pkg-ocaml-maint/packages/ocaml-mm.git
+Homepage: https://github.com/savonet/ocaml-mm
+Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-mm.git
+Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-mm.git
 
 Package: libmm-ocaml
 Architecture: any
@@ -27,13 +28,13 @@
 
 Package: libmm-ocaml-dev
 Architecture: any
-Depends: ${ocaml:Depends}, 
+Depends: ${ocaml:Depends},
          libmm-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
 Provides: ${ocaml:Provides}
 Description: OCaml multimedia library -- developpement files
  OCaml-mm is a toolkit for audio and video processing
  in OCaml. It provides a standard interface and various
- usual manipulations on audio data, images and video data. 
+ usual manipulations on audio data, images and video data.
  .
  This package contains all the development stuff you need to develop
  OCaml programs which use ocaml-mm.

## ocaml-mm 0.3.1

=== external/Makefile ===
--- 
+++ 
@@ -2,13 +2,13 @@
 ifeq "no" "yes"
     LIBS += alsa
 endif
-ifeq "no" "yes"
+ifeq "yes" "yes"
     LIBS += ao
 endif
 ifeq "no" "yes"
     LIBS += ffmpeg
 endif
-ifeq "no" "yes"
+ifeq "yes" "yes"
     LIBS += gstreamer
 endif
 ifeq "no" "yes"

=== debian/changelog ===
ocaml-mm (0.3.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bumped standards version to 4.1.4
  * Update Vcs-* fields

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 11 May 2018 13:49:55 +0200

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,10 @@
  dh-ocaml (>= 0.9),
  ocamlbuild,
  ocaml-findlib (>= 1.2.4)
-Standards-Version: 3.9.4
+Standards-Version: 4.1.4
 Homepage: https://github.com/savonet/ocaml-mm
-Vcs-Git: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-mm.git
-Vcs-Browser: https://anonscm.debian.org/git/pkg-ocaml-maint/packages/ocaml-mm.git
+Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-mm.git
+Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-mm
 
 Package: libmm-ocaml
 Architecture: any

## ocaml-mm 0.4.0

=== external/Makefile ===
--- 
+++ 
@@ -2,13 +2,13 @@
 ifeq "no" "yes"
     LIBS += alsa
 endif
-ifeq "yes" "yes"
+ifeq "no" "yes"
     LIBS += ao
 endif
-ifeq "no" "yes"
+ifeq "yes" "yes"
     LIBS += ffmpeg
 endif
-ifeq "yes" "yes"
+ifeq "no" "yes"
     LIBS += gstreamer
 endif
 ifeq "no" "yes"

=== debian/changelog ===
ocaml-mm (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
  * Bump standards version (no change)
  * Add new uploader

 -- Kyle Robbertze <krobbertze@gmail.com>  Wed, 13 Feb 2019 23:49:45 +0200

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,10 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Samuel Mimram <smimram@debian.org>, Romain Beauxis <toots@rastageeks.org>
+Uploaders:
+ Kyle Robbertze <krobbertze@gmail.com>,
+ Samuel Mimram <smimram@debian.org>,
+ Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs (>= 0.4.85~),
  debhelper (>= 10),
  dh-buildinfo,
@@ -10,7 +13,7 @@
  dh-ocaml (>= 0.9),
  ocamlbuild,
  ocaml-findlib (>= 1.2.4)
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://github.com/savonet/ocaml-mm
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-mm.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-mm

## ocaml-mm 0.4.1

=== debian/changelog ===
ocaml-mm (0.4.1-2) unstable; urgency=medium

  * Rebuild for source-only upload
  * Remove file from clean that is tracked in git

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 14 Jul 2019 07:00:15 +0200

ocaml-mm (0.4.1-1) unstable; urgency=medium

  * Fix typo in synopsis (Closes: #644751)
  * Update uploaded email address
  * New upstream version 0.4.1

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 07 Jul 2019 11:31:37 +0200

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders:
- Kyle Robbertze <krobbertze@gmail.com>,
+ Kyle Robbertze <paddatrapper@debian.org>,
  Samuel Mimram <smimram@debian.org>,
  Romain Beauxis <toots@rastageeks.org>
 Build-Depends: cdbs (>= 0.4.85~),
@@ -34,7 +34,7 @@
 Depends: ${ocaml:Depends},
          libmm-ocaml (= ${binary:Version}), ocaml-findlib, ${misc:Depends}
 Provides: ${ocaml:Provides}
-Description: OCaml multimedia library -- developpement files
+Description: OCaml multimedia library -- development files
  OCaml-mm is a toolkit for audio and video processing
  in OCaml. It provides a standard interface and various
  usual manipulations on audio data, images and video data.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk
include /usr/share/cdbs/1/rules/ocaml.mk

DEB_CONFIGURE_EXTRA_FLAGS := --enable-debugging
DEB_CONFIGURE_SCRIPT  := ./configure
DESTDIR = $(CURDIR)/debian/tmp/$(OCAML_STDLIB_DIR)
DEB_MAKE_INSTALL_TARGET := install OCAMLFIND_DESTDIR=$(DESTDIR) OCAMLFIND_LDCONF=ignore

build/libmm-ocaml-dev::
	mkdir -p $(DESTDIR)
	make doc

clean::
	rm -rf .pc config.h Makefile src/Makefile src/META doc config.log config.status

## ocaml-mm 0.5.0

=== examples/Makefile ===
EXAMPLES = $(shell find . -maxdepth 1 -type d | sed "s/^\.\///" | grep -v "\.")

all test clean doc:
	for d in $(EXAMPLES); do $(MAKE) -C $$d $@ || exit 1; done

.PHONY: all

=== examples/autotune/Makefile ===
SOURCES = autotune.ml
RESULT = autotune
INCDIRS = ../../src ../../external/alsa +alsa
LIBS = unix bigarray mm alsa mm.alsa
OCAMLFLAGS = -g

test: all
	OCAMLRUNPARAM=b ./autotune

all: dnc

include OCamlMakefile

=== examples/motion/Makefile ===
SOURCES = player.ml
RESULT = player
OCAMLFLAGS = -g
INCDIRS = ../../src ../../external/ffmpeg ../../external/sdl +sdl
LIBS = str unix bigarray graphics mm mm.ffmpeg sdl mm.sdl

test: dnc
	OCAMLRUNPARAM=b ./player /home/smimram/Desktop/ON2/100_0001.MOV

all: nc

prof:
	$(MAKE) clean pnc test
	gprof ./player > prof
	head -n 20 prof

gdb: dnc
	gdb --args ./player ../test.mov

valgrind: dnc
	valgrind ./player ../test.mov

include OCamlMakefile

.PHONY: prof

=== examples/theora_player/Makefile ===
SOURCES = player.ml
RESULT = player
OCAMLFLAGS = -g
INCDIRS = ../../src ../../external/theora +ogg +theora
LIBS = str unix bigarray mm ogg theora mm.theora

test: dnc
	OCAMLRUNPARAM=b ./player ../test.ogv

include OCamlMakefile

=== examples/wav_player/Makefile ===
SOURCES = player.ml
RESULT = player
INCDIRS = ../../src ../../external/oss
LIBS = unix bigarray mm mm.oss

all: pnc

test: all
	OCAMLRUNPARAM=b ./player ../test.wav

include OCamlMakefile

=== debian/changelog ===
ocaml-mm (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0
  * Bump compat to 11
  * Bump Standards-Version to 4.4.1 (move to dh)

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 08 Nov 2019 20:34:00 +0200

=== debian/control ===
Source: ocaml-mm
Section: ocaml
Priority: optional
Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
Uploaders: Kyle Robbertze <paddatrapper@debian.org>,
           Samuel Mimram <smimram@debian.org>,
           Romain Beauxis <toots@rastageeks.org>
Build-Depends: debhelper (>= 11),
               debhelper-compat (= 11),
               dh-buildinfo,
               dh-ocaml (>= 0.9),
               libalsa-ocaml-dev,
               libao-ocaml-dev,
               libgstreamer-ocaml-dev,
               libmad-ocaml-dev,
               libogg-ocaml-dev,
               libpulse-ocaml-dev,
               libsdl-ocaml-dev,
               libtheora-ocaml-dev,
               ocaml-findlib (>= 1.2.4),
               ocaml-nox (>= 4.08),
               ocamlbuild
Standards-Version: 4.4.1
Homepage: https://github.com/savonet/ocaml-mm
Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-mm.git
Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-mm

Package: libmm-ocaml
Architecture: any
Depends: ${misc:Depends}, ${ocaml:Depends}, ${shlibs:Depends}
Provides: ${ocaml:Provides}
Description: OCaml multimedia library -- runtime files
 OCaml-mm is a toolkit for audio and video processing
 in OCaml. It provides a standard interface and various
 usual manipulations on audio data, images and video data.
 .
 This package contains only the shared runtime stub libraries.

Package: libmm-ocaml-dev
Architecture: any
Depends: libalsa-ocaml-dev,
         libao-ocaml-dev,
         libgstreamer-ocaml-dev,
         libmad-ocaml-dev,
         libmm-ocaml (= ${binary:Version}),
         libogg-ocaml-dev,
         libpulse-ocaml-dev,
         libsdl-ocaml-dev,
         libtheora-ocaml-dev,
         ocaml-findlib,
         ${misc:Depends},
         ${ocaml:Depends}
Provides: ${ocaml:Provides}
Description: OCaml multimedia library -- development files
 OCaml-mm is a toolkit for audio and video processing
 in OCaml. It provides a standard interface and various
 usual manipulations on audio data, images and video data.
 .
 This package contains all the development stuff you need to develop
 OCaml programs which use ocaml-mm.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
include /usr/share/ocaml/ocamlvars.mk

DESTDIR := $(CURDIR)/debian/tmp
export OCAMLFIND_DESTDIR=$(DESTDIR)$(OCAML_STDLIB_DIR)
export PKG_CONFIG_PATH=/usr/lib/$(DEB_BUILD_ARCH)/pkgconfig
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --with ocaml

override_dh_autoreconf:
	./bootstrap

override_dh_auto_build:
	[ -f debian/autoreconf.before ] || dh_autoreconf ./bootstrap
	$(MAKE) all doc

override_dh_auto_install:
	mkdir -p $(DESTDIR)/$(OCAML_STDLIB_DIR)
	$(MAKE) install DESTDIR=$(DESTDIR) \
		prefix=$(DESTDIR)/usr sysconfdir=$(DESTDIR)/etc \
		OCAMLFIND_LDCONF=ignore
	dh_install

override_dh_auto_test:
	true

override_dh_auto_clean:
	dh_autoreconf_clean
	rm -rf .pc config.h Makefile src/Makefile src/META doc config.log config.status
	dh_clean

## ocaml-mm 0.6.0.1~really0.5.0

=== external/Makefile ===
--- 
+++ 
@@ -6,7 +6,7 @@
     LIBS += ao
 endif
 ifeq "yes" "yes"
-    LIBS += ffmpeg
+    # LIBS += ffmpeg
 endif
 ifeq "no" "yes"
     LIBS += gstreamer
@@ -17,7 +17,7 @@
 ifeq "yes" "yes"
     LIBS += oss
 endif
-ifeq "no" "yes"
+ifeq "yes" "yes"
     LIBS += sdl
 endif
 ifeq "no" "yes"

=== examples/deprecated/Makefile ===
all test clean:

=== examples/dictee/Makefile ===
--- 
+++ 
@@ -4,10 +4,10 @@
 LIBS = unix bigarray mad mm mm.oss mm.mad
 OCAMLFLAGS = -g
 
+all: dnc
+
 test: all
 	OCAMLRUNPARAM=b ./dictee ../test.mp3
 
-all: dnc
-
 include OCamlMakefile
 include ../../external/Makefile.defs

=== examples/display_image/Makefile ===
SOURCES = display.ml
RESULT = display
INCDIRS = ../../src
LIBS = str unix bigarray mm graphics

test: all
	OCAMLRUNPARAM=b ./display ../test.ppm

all: pnc

include OCamlMakefile

=== examples/drums/Makefile ===
SOURCES = drums.ml
RESULT = drums
INCDIRS = ../../src ../../external/oss ../../external/sdl
PACKS = sdl
LIBS = mm mm.oss mm.sdl

all: nc

test: all
	./drums

include OCamlMakefile

=== examples/ffmpeg_player/Makefile ===
SOURCES = player.ml
RESULT = player
OCAMLFLAGS = -g
INCDIRS = ../../src ../../external/ffmpeg ../../external/sdl +sdl
LIBS = str unix bigarray graphics mm mm.ffmpeg sdl mm.sdl

test: dnc
	OCAMLRUNPARAM=b ./player ../test.mov

all: nc

prof:
	$(MAKE) clean pnc test
	gprof ./player > prof
	head -n 20 prof

gdb: dnc
	gdb --args ./player ../test.mov

valgrind: dnc
	valgrind ./player ../test.mov

include OCamlMakefile

.PHONY: prof

=== examples/fft_viewer/Makefile ===
SOURCES = fft.ml
RESULT = fft
INCDIRS = ../../src ../../external/oss
LIBS = unix bigarray mm graphics mm.oss

all: dnc

test: all
	OCAMLRUNPARAM=b ./fft ../test.wav

include OCamlMakefile

=== examples/gstreamer/Makefile ===
SOURCES = test.ml
RESULT = test
INCDIRS = ../../src ../../external/oss ../../../ocaml-gstreamer/src/
LIBS = unix bigarray mm mm.oss gstreamer
OCAMLNCFLAGS = -p

all: pnc

test: all
	OCAMLRUNPARAM=b ./test

include OCamlMakefile

=== examples/gstreamer_out/Makefile ===
SOURCES = test.ml
RESULT = test
INCDIRS = ../../src ../../external/oss ../../../ocaml-gstreamer/src/
LIBS = bigarray mm mm.oss gstreamer
THREADS = yes
OCAMLNCFLAGS = -p

all: pnc

test: all
	OCAMLRUNPARAM=b ./test

gstlaunch:
	gst-launch -v filesrc location=../test.wav ! decodebin ! audio/x-raw-int,channels=2,rate=44100 ! alsasink

include OCamlMakefile

=== examples/midi_player/Makefile ===
SOURCES = player.ml
RESULT = player
INCDIRS = ../../src ../../external/oss
LIBS = unix bigarray mm mm.oss

all: pnc

test: all
	OCAMLRUNPARAM=b ./player ../test.mid

prof: test
	gprof ./player > prof

include OCamlMakefile

=== examples/sine_wav/Makefile ===
SOURCES = sine_wav.ml
RESULT = sine_wav
INCDIRS = ../../src ../../external/oss
LIBS = unix mm mm.oss

all: nc

test: all
	./sine_wav

include OCamlMakefile

=== examples/test-i420/Makefile ===
SOURCES = test.ml
RESULT = test
INCDIRS = ../../src
LIBS = unix bigarray graphics mm

all: nc

test: all
	./test

valgrind: all
	valgrind --leak-check=full ./test

include OCamlMakefile

=== debian/changelog ===
ocaml-mm (0.6.0.1~really0.5.0-1) unstable; urgency=medium

  * Roll back version to 0.5.0 to support current
    liquidsoap version. ocaml-mm 0.6.0 will only
    be supported in liquidsoap version 2

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 04 Dec 2020 00:49:06 +0200

ocaml-mm (0.6.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Name (from
    ./configure), Repository, Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.

  [ Kyle Robbertze ]
  * New upstream version 0.6.0
  * Removed docs deleted unstream
  * Add Rules-Requires-Root
  * Install examples
  * Bump compat to 13

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 18 Oct 2020 23:23:14 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
            Samuel Mimram <smimram@debian.org>,
            Romain Beauxis <toots@rastageeks.org>
 Build-Depends: debhelper (>= 11),
-               debhelper-compat (= 11),
+               debhelper-compat (= 13),
                dh-buildinfo,
                dh-ocaml (>= 0.9),
                libalsa-ocaml-dev,
@@ -20,10 +20,11 @@
                ocaml-findlib (>= 1.2.4),
                ocaml-nox (>= 4.08),
                ocamlbuild
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/savonet/ocaml-mm
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-mm.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-mm
+Rules-Requires-Root: no
 
 Package: libmm-ocaml
 Architecture: any

=== debian/watch ===
version=3
https://github.com/savonet/ocaml-mm/releases .*/ocaml-mm-(.*)\.tar\.gz

## ocaml-mm 0.7.3

=== examples/Makefile ===
all: build

build:
	@dune build

autotune: build
	dune exec ./autotune.exe

dictee: build
	dune exec ./dictee.exe test.mp3

display: build
	dune exec ./display.exe test.ppm

drums: build
	dune exec ./drums.exe

fft: build
	dune exec ./fft.exe test.wav

id: build
	dune exec ./id.exe test.wav

midiplayer: build
	dune exec ./midiplayer.exe test.mid

sine_wav: build
	dune exec ./sine_wav.exe

=== debian/changelog ===
ocaml-mm (0.7.3-1build1) jammy; urgency=medium

  * No-change rebuild for ocaml abi changes.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 25 Jan 2022 11:16:57 +0100

ocaml-mm (0.7.3-1) unstable; urgency=medium

  * New upstream version 0.7.3

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 05 Jan 2022 11:55:44 +0200

ocaml-mm (0.7.2-3) unstable; urgency=medium

  * Fix FTBFS on multiple architectures (Closes: #1000983)

 -- Kyle Robbertze <paddatrapper@debian.org>  Mon, 06 Dec 2021 09:46:40 +0200

ocaml-mm (0.7.2-2) unstable; urgency=medium

  * Update d/watch to use new upstream artifact naming
  * New upstream version 0.7.2
  * Update d/copyright to use machine-readable format
  * Use dune as the build system
  * Bump Standards-Version to 4.6.0 (no change)
  * Update README doc for upstream markdown file name

 -- Kyle Robbertze <paddatrapper@debian.org>  Wed, 01 Dec 2021 12:49:44 +0200

=== debian/control ===
--- 
+++ 
@@ -5,12 +5,14 @@
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>,
            Samuel Mimram <smimram@debian.org>,
            Romain Beauxis <toots@rastageeks.org>
-Build-Depends: debhelper (>= 11),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-buildinfo,
                dh-ocaml (>= 0.9),
+               dune (>= 2.8.0),
                libalsa-ocaml-dev,
                libao-ocaml-dev,
+               libdune-ocaml-dev,
+               libgraphics-ocaml-dev,
                libgstreamer-ocaml-dev,
                libmad-ocaml-dev,
                libogg-ocaml-dev,
@@ -18,9 +20,8 @@
                libsdl-ocaml-dev,
                libtheora-ocaml-dev,
                ocaml-findlib (>= 1.2.4),
-               ocaml-nox (>= 4.08),
-               ocamlbuild
-Standards-Version: 4.5.0
+               ocaml-nox (>= 4.08)
+Standards-Version: 4.6.0
 Homepage: https://github.com/savonet/ocaml-mm
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-mm.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-mm
@@ -49,6 +50,7 @@
          libsdl-ocaml-dev,
          libtheora-ocaml-dev,
          ocaml-findlib,
+         ${shlibs:Depends},
          ${misc:Depends},
          ${ocaml:Depends}
 Provides: ${ocaml:Provides}

## ocaml-mm 0.8.1

=== Makefile ===
all: build

build:
	@dune build

clean:
	@dune clean

=== debian/changelog ===
ocaml-mm (0.8.1-1) unstable; urgency=medium

  [ Kyle Robbertze ]
  * Bump standards-version to 4.6.1 (no change)
  * New upstream version 0.8.1

  [ Janitor ]
  * Remove constraints unnecessary since buster

 -- Kyle Robbertze <paddatrapper@debian.org>  Fri, 27 May 2022 17:17:41 +0200

ocaml-mm (0.7.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Remove Samuel and Romain from Uploaders

 -- Stéphane Glondu <glondu@debian.org>  Fri, 04 Mar 2022 09:37:52 +0100

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,10 @@
 Section: ocaml
 Priority: optional
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
-Uploaders: Kyle Robbertze <paddatrapper@debian.org>,
-           Samuel Mimram <smimram@debian.org>,
-           Romain Beauxis <toots@rastageeks.org>
+Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-buildinfo,
-               dh-ocaml (>= 0.9),
+               dh-ocaml,
                dune (>= 2.8.0),
                libalsa-ocaml-dev,
                libao-ocaml-dev,
@@ -19,9 +17,9 @@
                libpulse-ocaml-dev,
                libsdl-ocaml-dev,
                libtheora-ocaml-dev,
-               ocaml-findlib (>= 1.2.4),
-               ocaml-nox (>= 4.08)
-Standards-Version: 4.6.0
+               ocaml-findlib,
+               ocaml
+Standards-Version: 4.6.1
 Homepage: https://github.com/savonet/ocaml-mm
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-mm.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-mm

## ocaml-mm 0.8.4

=== debian/changelog ===
ocaml-mm (0.8.4-2) unstable; urgency=medium

  * Team upload
  * Reduce constants in "scale" test so that it runs on 32-bit

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2023 09:23:27 +0200

ocaml-mm (0.8.4-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Use ocaml_dune DH buildsystem
  * Bump Standards-Version to 4.6.2

 -- Stéphane Glondu <glondu@debian.org>  Fri, 21 Jul 2023 07:11:18 +0200

ocaml-mm (0.8.1-3) unstable; urgency=medium

  * Team upload
  * Fix compilation with recent dune

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Jul 2023 12:41:35 +0200

ocaml-mm (0.8.1-2) unstable; urgency=medium

  * Team upload
  * Build-depend on ocaml-dune (Closes: #1040811)

 -- Stéphane Glondu <glondu@debian.org>  Wed, 12 Jul 2023 10:43:34 +0200

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper-compat (= 13),
                dh-buildinfo,
-               dh-ocaml,
-               dune (>= 2.8.0),
+               dh-ocaml (>= 1.2),
+               ocaml-dune (>= 2.8.0),
                libalsa-ocaml-dev,
                libao-ocaml-dev,
                libdune-ocaml-dev,
@@ -17,9 +17,8 @@
                libpulse-ocaml-dev,
                libsdl-ocaml-dev,
                libtheora-ocaml-dev,
-               ocaml-findlib,
                ocaml
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/savonet/ocaml-mm
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-mm.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-mm

## ocaml-mm 0.8.5

=== debian/changelog ===
ocaml-mm (0.8.5-4) unstable; urgency=medium

  * Replace explicit dependencies with dh_ocaml

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 16 Mar 2024 19:26:51 +0000

ocaml-mm (0.8.5-3) unstable; urgency=medium

  * Drop extraneous dependency on gstreamer and ogg in dev package

 -- Kyle Robbertze <paddatrapper@debian.org>  Sat, 16 Mar 2024 19:13:23 +0000

ocaml-mm (0.8.5-2) unstable; urgency=medium

  * Drop extraneous dependency on gstreamer and ogg

 -- Kyle Robbertze <paddatrapper@debian.org>  Sun, 25 Feb 2024 05:31:37 +0000

ocaml-mm (0.8.5-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Do not build with sdl support

 -- Stéphane Glondu <glondu@debian.org>  Thu, 15 Feb 2024 15:27:54 +0100

=== debian/control ===
--- 
+++ 
@@ -10,12 +10,8 @@
                libalsa-ocaml-dev,
                libao-ocaml-dev,
                libdune-ocaml-dev,
-               libgraphics-ocaml-dev,
-               libgstreamer-ocaml-dev,
                libmad-ocaml-dev,
-               libogg-ocaml-dev,
                libpulse-ocaml-dev,
-               libsdl-ocaml-dev,
                libtheora-ocaml-dev,
                ocaml
 Standards-Version: 4.6.2
@@ -37,15 +33,7 @@
 
 Package: libmm-ocaml-dev
 Architecture: any
-Depends: libalsa-ocaml-dev,
-         libao-ocaml-dev,
-         libgstreamer-ocaml-dev,
-         libmad-ocaml-dev,
-         libmm-ocaml (= ${binary:Version}),
-         libogg-ocaml-dev,
-         libpulse-ocaml-dev,
-         libsdl-ocaml-dev,
-         libtheora-ocaml-dev,
+Depends: libmm-ocaml (= ${binary:Version}),
          ocaml-findlib,
          ${shlibs:Depends},
          ${misc:Depends},

## ocaml-mm 0.8.6

=== examples/Makefile ===
all: build

build:
	@dune build

autotune:
	@dune exec ./autotune.exe

dictee:
	@dune exec ./dictee.exe test.mp3

display:
	@dune exec ./display.exe test.ppm

drums:
	@dune exec ./drums.exe

fft:
	@dune exec ./fft.exe test.wav

id:
	@dune exec ./id.exe test.wav

midiplayer:
	@dune exec ./midiplayer.exe test.mid

sine_wav:
	@dune exec ./sine_wav.exe

graphics:
	@dune exec ./graphics_test.exe

test:
	@dune exec ./test.exe

quick-test:
	@dune exec ./test.exe -- --skip-long

valgrind: build
	valgrind ../_build/default/examples/test.exe --skip-long

=== tests/Makefile ===
all:

test:
	dune exec ./bug22.exe

=== debian/changelog ===
ocaml-mm (0.8.6-2build2) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 03 Nov 2025 17:42:31 +0100

ocaml-mm (0.8.6-2build1) resolute; urgency=medium

  * Rebuild against new OCAML ABIs.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 01 Nov 2025 08:57:17 +0100

ocaml-mm (0.8.6-2) unstable; urgency=medium

  * Team upload
  * Remove dh-buildinfo from Build-Depends
  * Bump Standards-Version to 4.7.2

 -- Stéphane Glondu <glondu@debian.org>  Mon, 25 Aug 2025 07:18:58 +0200

ocaml-mm (0.8.6-1) unstable; urgency=medium

  * Team upload
  * New upstream release
  * Bump Standards-Version to 4.7.0

 -- Stéphane Glondu <glondu@debian.org>  Tue, 31 Dec 2024 13:54:15 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,6 @@
 Maintainer: Debian OCaml Maintainers <debian-ocaml-maint@lists.debian.org>
 Uploaders: Kyle Robbertze <paddatrapper@debian.org>
 Build-Depends: debhelper-compat (= 13),
-               dh-buildinfo,
                dh-ocaml (>= 1.2),
                ocaml-dune (>= 2.8.0),
                libalsa-ocaml-dev,
@@ -14,7 +13,7 @@
                libpulse-ocaml-dev,
                libtheora-ocaml-dev,
                ocaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Homepage: https://github.com/savonet/ocaml-mm
 Vcs-Git: https://salsa.debian.org/ocaml-team/ocaml-mm.git
 Vcs-Browser: https://salsa.debian.org/ocaml-team/ocaml-mm
